Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class GenericMedia

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.movies.media.Media
                  |
                  +--quicktime.std.movies.media.GenericMedia

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class GenericMedia
extends Media

The GenericMedia class provides a base from which to construct media classes that represent media types that are unknown to the standard QT distribution. The subclasses would define a public constructors that call their collorary superclass constructors, but internally passing on the media type, as by definition the media type is encapsulated by the particular subclass and does not need to be provided by the user.

The fromType call in the Media class will return an appropriate object of a type that corresponds with the mediaType if the application has made this association known to the GenericMedia class. An application does this by calling the addMediaType method with the mediaType and full class name of the associated class. If a media type is encountered within a QT movie that is unknown at runtime then it will return an instance of GenericMedia. This has no defined public calls (except the getMediaType call) but enables general calls that can be done on any media type.

You can only subclass GenericMedia by defining your class to be in the same package as the GenericMedia class.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `getMediaType()` Returns the type of media that this Media object represets.

Methods inherited from class quicktime.std.movies.media.Media
`addDataRef, addSample, addSampleReference, addSampleReference, beginEdits, endEdits, fromTrack, getCreationTime, getDataHandler, getDataHandlerDescription, getDataRef, getDataRefCount, getDataSize, getDuration, getHandler, getHandlerDescription, getInputMap, getLanguage, getModificationTime, getNextInterestingTime, getPlayHints, getPlayHints, getPreferredChunkSize, getPropertyAtom, getQuality, getSample, getSampleCount, getSampleDescription, getSampleDescriptionCount, getSampleReference, getSampleReferences, getShadowSync, getSyncSampleCount, getTimeScale, getTrack, getTrackMedia, getUserData, loadIntoRam, newFromType, sampleNumToMediaTime, setDataHandler, setDataRef, setDataRefAttributes, setDefaultDataRefIndex, setHandler, setInputMap, setLanguage, setPlayHints, setPreferredChunkSize, setPropertyAtom, setQuality, setSampleDescription, setShadowSync, setTimeScale, timeToSampleNum`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMediaType

    public final int getMediaType()

  Returns the type of media that this Media object represets.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD